module Samantha

  class Hex_Aggregator
    attr_accessor :hexes

    def initialize
      @hexes = []
    end

    def find_colors_in_directory(directory)
      Dir["#{directory}/*"].map { |file| find_colors_in_file(file) }
    end

    def find_colors_in_file(file)
      File.open(file) do |file_contents|
        file_contents.each_line { |line| find_colors_in_line(line) }
      end
    end

    def find_colors_in_line(line)
      line.scan(/\B#[0-9a-fA-f]{3,6}\b/).each {|hex| @hexes.push(hex)}
    end
  end

end