module Samantha

  class Palette
    attr_accessor :colors

    def initialize
      @colors = []
    end

    def add_color(hex)
      existing_color = @colors.detect { |c| c.hex == hex }
      existing_color ? existing_color.tally : @colors.push(Color.new(hex.downcase))
    end

    def sort_colors
      @colors.sort_by! { |c| c.count }.reverse!
    end
  end

end