require "samantha/version"
require "paint"

require_relative "colors"
require_relative "hex_aggregator"
require_relative "palette"

module Samantha

  class Base
    def initialize
      @hex_aggregator = Hex_Aggregator.new
      @palette = Palette.new
    end

    def print_colors_in_directory(directory)
      @hex_aggregator.find_colors_in_directory(directory)
      @hex_aggregator.hexes.each { |hex| @palette.add_color(hex) }
      @palette.sort_colors
      @palette.colors.each { |color| puts color }
    end
  end

end